** Description changed:

+ [Impact]
+ 
+  The product names and product URLs of Ubuntu Advantage Extended
+ Security Maintenance offerings have been rebranded prior to an official
+ launch of the product ESM product in Ubuntu Xenial, Bionic and Focal.
+ MOTD messages reference the old product name UA Infrastructure: Extended
+ Security Maintenance as well as an invalid product URL
+ https://ubuntu.com/esm.
+ 
+ Correct both the product name "UA Infra: ESM" and the apt URL message
+ See https://ubuntu.com/security/esm.
+ 
+ Because these text messages are translated using gettext, translations
+ will need to be updated as well.
+ 
+ [Test Case]
+ 
+  * Install unreleased ubuntu-advantage-tools from a PPA
+  * Run: ua enable <yourToken> to activate UA apt repositories
+  * Check MOTD messaging related to UA Infra: ESM prior to upgrade to 
-proposed update-notifier via /usr/lib/update-notifier/apt-check 
--human-readable
+ 
+  * Upgrade update-notifier to -proposed 
+  * Re-check MOTD messaging related to UA Infra: ESM to see expected messages
+ 
+ 
+ #!/bin/bash
+ #
+ # SRU Verification update-notifier + ubuntu=advantage-tools
+ # Test procedure:
+ # - launch container Trusty, Xenial or Bionic
+ # - Install ubuntu-advantage-tools from 
https://launchpad.net/~ua-client/+archive/ubuntu/proposed which supports esm on 
trusty, xenial, bionic, and focal
+ # - Attach container to UA subscription (which activates the ESM APT repos
+ # - run apt_check --human-readable to assert ESM pkg counts ARE NOT reported
+ # - Upgrade update-notifier to -proposed
+ # - re-run apt_check --human-readable to assert ESM pkg counts ARE reported
+ 
+ set -e
+ UA_TOKEN=$1
+ if [ -z "$1" ]; then
+  echo "Usage: $0 <contractTOKEN>"
+  exit 1
+ fi
+ # sources:
+ # ua.proposed:
+ # source: deb 
http://ppa.launchpad.net/canonical-server/ua-client-daily/ubuntu \$RELEASE main
+ # keyid: 94E187AD53A59D1847E4880F8A295C4FB8B190B7
+ 
+ cat > test-un.yaml <<EOF
+ #cloud-config
+ ssh_import_id: [chad.smith]
+ package_update: true
+ package_upgrade: true
+ apt:
+   sources:
+       ua.proposed:
+           source: deb http://ppa.launchpad.net/ua-client/staging/ubuntu 
\$RELEASE main
+           keyid: 6E34E7116C0BC933
+ EOF
+ 
+ cat > setup_proposed.sh <<EOF
+ #/bin/bash
+ mirror=http://archive.ubuntu.com/ubuntu
+ echo deb \$mirror \$(lsb_release -sc)-proposed main | tee 
/etc/apt/sources.list.d/proposed.list
+ apt-get update -q
+ apt-get install -qy update-notifier-common
+ EOF
+ 
+ wait_for_boot() {
+   local vm=$1 release=$2
+   echo "--- Wait for cloud-init to finish"
+   sleep 5
+     lxc exec ${vm} -- cloud-init status --wait --long
+ }
+ 
+ for release in xenial bionic focal groovy; do
+   echo "--- BEGIN $release update-notifier testing"
+   vm=test-sru-$release
+   echo "--- Launch cloud-init with ppa:ua-client/proposed enabled"
+   lxc launch ubuntu-daily:${release} ${vm} -c user.user-data="$(cat 
test-un.yaml)"
+   wait_for_boot ${vm} ${release}
+   echo "--- Attach Ubuntu-Advantage, enabling services"
+   lxc exec ${vm} -- ua attach ${UA_TOKEN}
+   echo "--- Install a downgraded hello package which ESM-focal delivers"
+   lxc exec ${vm} -- apt-get install hello=2.10-2ubuntu2
+   echo "--- Expect 0 upgradable packages for MOTD from apt_check before 
upgrade"
+   lxc exec ${vm} -- /usr/lib/update-notifier/apt-check --human-readable
+   lxc exec ${vm} -- /usr/lib/update-notifier/apt-check --human-readable | 
grep '0 of these updates are security updates' && echo "SUCCESS: found 0 ESM 
security updates pre-upgrade" || echo "FAILURE: did not find expected 0 ESM 
security updates"
+   echo "--- Upgrade update-notifier from -proposed"
+   lxc file push setup_proposed.sh ${vm}/
+   lxc exec ${vm} -- bash /setup_proposed.sh | grep update-notifier
+   echo "--- Expect non-zero upgradable packages for MOTD from apt_check AFTER 
upgrade"
+   lxc exec ${vm} -- /usr/lib/update-notifier/apt-check --human-readable | 
grep '1 of these updates is a security update' && echo "SUCCESS: found 1 ESM 
security updates pre-upgrade" || echo "FAILURE: did not find expected 1 ESM 
security updates"
+ done
+ 
+ 
+ [Where problems could occur]
+ 
+  *  Low risk:
+     pep8 lint fixes plus MOTD text changes here. Minor logic changes in 
supplemental MOTD messaging for a product (ESM) that is not yet released and 
active in the wild on Xenial -> Focal. If messaging falls over the result is a 
lack of MOTD information about ESM package updates in motd, which is not yet 
released. If we can ensure we receive MOTD messaging about both ESM and non-ESM 
package updates without error, then risk of regression is minimal.
+ 
+ 
+ [Other Info]
+ 
+ 
+ [Original Description]
+ 
  MOTD text should align with the messaging that is being surfaced by
  ubuntu-advantage-tools and apt command line hook messaging.
  
  Current ESM product name is represented in MOTD as the following when
  logging into a VM:
  
  ### Current ESM-relatedMOTD messaging
  
  # When ESM is disabled:
  UA Infrastructure Extended Security Maintenance \(ESM\) is not enabled.
  
  Enable UA Infrastructure ESM to receive 14 additional security updates.
  
  # When ESM is enabled:
  UA Infrastructure Extended Security Maintenance \(ESM\) is enabled.
  
  14 of these updates are provided through UA Infrastructure ESM.
  
  #### Expected new ESM messaging:
  # When ESM is disabled:
  UA Infra: Extended Security Maintenance \(ESM\) is not enabled.
  
  Enable UA Infra: ESM to receive 14 additional security updates.
  
  # When ESM is enabled:
  UA Infra: Extended Security Maintenance \(ESM\) is enabled.
  
  14 of these updates are provided through UA Infrastructure
  
  UA Infra: Extended Security Maintenance \(ESM\) is not enabled.
  
  Enable UA Infra: ESM to receive 14 additional security updates.
  
  This request for product naming changes and standardization is also
  represented as a request against UA-Client tooling/apt-hooks/status
  messaging.
  
  https://github.com/canonical/ubuntu-advantage-
  client/issues/1212#issuecomment-713735291
  
- 
- Additionally documentation URLs for esm are updated from ubuntu.com/esm -> 
ubuntu.com/security/esm.
+ Additionally documentation URLs for esm are updated from ubuntu.com/esm
+ -> ubuntu.com/security/esm.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1901627

Title:
  Update product naming: Simplify UA Infrastructure ESM to UA Infra: ESM

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/1901627/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to